Merx

DELETE shop/cart

Removes an item from the cart.

fetch('/api/shop/cart', {
	method: 'DELETE',
	headers: {
		'Accept': 'application/json',
		'Content-Type': 'application/json',
	},
	body: JSON.stringify({
		"key": "products/cozy-socks"
	}),
});

API model

Wagnerwagner\Merx\Cart

Return type

Wagnerwagner\Merx\Cart

The cart without the removed item.

Example response

DELETE https://shop.test/api/shop/cart
{
    "code": 200,
    "data": {
        "checkout": {
            "title": "Checkout",
            "url": "https://shop.test/checkout"
        },
        "isFromPrice": false,
        "isOrderable": true,
        "products": {
            "items": [
                {
                    "data": {
                        "size": "42"
                    },
                    "key": "products/nice-shoes",
                    "page": {
                        "template": "product",
                        "url": "https://shop.test/products/nice-shoes",
                        "uuid": "page://Yk4fR7tNq2Lm9VxC"
                    },
                    "price": {
                        "price": "€89.90",
                        "priceIncludingTax": true,
                        "priceNet": "€75.55",
                        "priceNetRaw": 75.5499999999999971578290569595992565155029296875,
                        "priceRaw": 89.900000000000005684341886080801486968994140625,
                        "tax": {
                            "price": "€14.35",
                            "priceRaw": 14.3499999999999996447286321199499070644378662109375,
                            "rate": "19%",
                            "rateRaw": 0.190000000000000002220446049250313080847263336181640625
                        }
                    },
                    "quantity": 1,
                    "thumb": null,
                    "title": "Nice Shoes",
                    "total": {
                        "price": "€89.90",
                        "priceIncludingTax": true,
                        "priceNet": "€75.55",
                        "priceNetRaw": 75.5499999999999971578290569595992565155029296875,
                        "priceRaw": 89.900000000000005684341886080801486968994140625,
                        "tax": {
                            "price": "€14.35",
                            "priceRaw": 14.3499999999999996447286321199499070644378662109375,
                            "rate": "19%",
                            "rateRaw": 0.190000000000000002220446049250313080847263336181640625
                        }
                    },
                    "type": "product",
                    "url": "https://shop.test/products/nice-shoes"
                }
            ],
            "total": {
                "price": "€89.90",
                "priceIncludingTax": true,
                "priceNet": "€75.55",
                "priceNetRaw": 75.5499999999999971578290569595992565155029296875,
                "priceRaw": 89.900000000000005684341886080801486968994140625,
                "tax": {
                    "price": "€14.35",
                    "priceRaw": 14.3499999999999996447286321199499070644378662109375,
                    "rate": "19%",
                    "rateRaw": 0.190000000000000002220446049250313080847263336181640625
                }
            }
        },
        "quantity": 1,
        "shippings": {
            "items": [
                {
                    "data": null,
                    "key": "shipping",
                    "page": null,
                    "price": {
                        "price": "€4.90",
                        "priceIncludingTax": null,
                        "priceNet": "€4.12",
                        "priceNetRaw": 4.12000000000000010658141036401502788066864013671875,
                        "priceRaw": 4.9000000000000003552713678800500929355621337890625,
                        "tax": {
                            "price": "€0.78",
                            "priceRaw": 0.7800000000000000266453525910037569701671600341796875,
                            "rate": "19%",
                            "rateRaw": 0.190000000000000002220446049250313080847263336181640625
                        }
                    },
                    "quantity": 1,
                    "thumb": null,
                    "title": "Shipping",
                    "total": {
                        "price": "€4.90",
                        "priceIncludingTax": null,
                        "priceNet": "€4.12",
                        "priceNetRaw": 4.12000000000000010658141036401502788066864013671875,
                        "priceRaw": 4.9000000000000003552713678800500929355621337890625,
                        "tax": {
                            "price": "€0.78",
                            "priceRaw": 0.7800000000000000266453525910037569701671600341796875,
                            "rate": "19%",
                            "rateRaw": 0.190000000000000002220446049250313080847263336181640625
                        }
                    },
                    "type": "shipping",
                    "url": null
                }
            ],
            "total": {
                "price": "€4.90",
                "priceIncludingTax": null,
                "priceNet": "€4.12",
                "priceNetRaw": 4.12000000000000010658141036401502788066864013671875,
                "priceRaw": 4.9000000000000003552713678800500929355621337890625,
                "tax": {
                    "price": "€0.78",
                    "priceRaw": 0.7800000000000000266453525910037569701671600341796875,
                    "rate": "19%",
                    "rateRaw": 0.190000000000000002220446049250313080847263336181640625
                }
            }
        },
        "taxRates": [
            {
                "price": "€15.13",
                "priceRaw": 15.1300000000000007815970093361102044582366943359375,
                "rate": "19%",
                "rateRaw": 0.190000000000000002220446049250313080847263336181640625
            }
        ],
        "total": {
            "price": "€94.80",
            "priceNet": "€79.66",
            "priceNetRaw": 79.659999999999996589394868351519107818603515625,
            "priceRaw": 94.7999999999999971578290569595992565155029296875
        }
    },
    "status": "ok",
    "type": "model"
}